Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger.ui
Class BreakpointType

    java.lang.Object
      org.netbeans.spi.debugger.ui.BreakpointType

    public abstract class BreakpointType

extends Object

Support for "New Breakpoint" dialog and Breakpoint Customizer. Represents one breakpoint type.

Constructor Summary
`BreakpointType()`

Method Summary
`abstract String` | `getCategoryDisplayName()` Display name of cathegory of this breakpoint type.
`abstract JComponent` | `getCustomizer()` Returns visual customizer for this breakpoint type.
`abstract String` | `getTypeDisplayName()` Return display name of this breakpoint type (like "Line Breakppoint").
`abstract boolean` | `isDefault()` Should return true of this breakpoint type should be default one in the current context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakpointType

    public BreakpointType()

Method Detail

### getCategoryDisplayName

    public abstract String getCategoryDisplayName()

  Display name of cathegory of this breakpoint type. Cathegory typically represents one debugger language.

  Returns:
    display name of cathegory of this breakpoint type

### getTypeDisplayName

    public abstract String getTypeDisplayName()

  Return display name of this breakpoint type (like "Line Breakppoint").

  Returns:
    display name of this breakpoint type

### getCustomizer

    public abstract JComponent getCustomizer()

  Returns visual customizer for this breakpoint type. Customizer can optionally implement `Controller` intarface.

  Returns:
    visual customizer for this breakpoint type

### isDefault

    public abstract boolean isDefault()

  Should return true of this breakpoint type should be default one in the current context. Default breakpoint type is selected one when the New Breakpoint dialog is opened.

  Returns:
    true of this breakpoint type should be default

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.